Starts a session through which a user can verify their IBAN by uploading a photo of their IBAN account number.
POST
/api/v1/user/verify/iban/photo
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”The IBAN verifiation request containing the image data, the name of the user and the IBAN to verify.
object
name
required
The name of the account holder.
string
Example
John Doe iban
required
The IBAN account for which you want to upload proof
string
Example
NL37BUNQ2025406444 proof
required
The base64 encoded binary image data (max 63MB encoded).
string
Example
aGEgbWFkZSB5b3UgbG9vayE=Responses
Section titled “ Responses ”The IBAN verification request was successfully accepted.
A list of possible errors for this endpoint.
object
code
required
string
message
required
string
solution
required
string
Example
{ "errors": { "ER056": { "code": "ER056", "message": "Invalid IBAN number provided.", "solution": "Provide a valid IBAN number." }, "ER057": { "code": "ER057", "message": "No account holder provided.", "solution": "Provide an account holder." }, "ER077": { "code": "ER077", "message": "Missing image data.", "solution": "Provide base64 encoded binary image data." }, "ER078": { "code": "ER078", "message": "Invalid image data provided.", "solution": "Provide valid base64 encoded binary image data." }, "ER086": { "code": "ER086", "message": "Disabled IBAN account provided.", "solution": "Provide a non-disabled IBAN account. A list of valid accounts can be retrieved from /api/v1/user/info." }, "ER087": { "code": "ER087", "message": "Unknown IBAN account provided.", "solution": "Provide a known IBAN account. A list of valid accounts can be retrieved from /api/v1/user/info." }, "ER088": { "code": "ER088", "message": "No IBAN account provided.", "solution": "Provide a known IBAN account. A list of valid accounts can be retrieved from /api/v1/user/info." }, "ER113": { "code": "ER113", "message": "No IBAN account provided.", "solution": "Provide a valid IBAN account." }, "ER185": { "code": "ER185", "message": "Missing IBAN owner name.", "solution": "Provide a valid IBAN owner name." }, "ER186": { "code": "ER186", "message": "Missing IBAN ownership proof.", "solution": "Upload valid IBAN ownership." }, "ER700": { "code": "ER700", "message": "User authorization token not found.", "solution": "Provide a user authorization token." }, "ER701": { "code": "ER701", "message": "User authorization token has expired.", "solution": "Request a new authorization token, or refresh the token." }, "ER702": { "code": "ER702", "message": "User authorization token is invalid.", "solution": "Provide a valid user authorization token." }, "ER703": { "code": "ER703", "message": "User identifier does not belong to the user in the user authorization token.", "solution": "Provide a valid user identifier, or remove the user identifier header." }, "ER704": { "code": "ER704", "message": "No user identifier found in headers.", "solution": "Provide a valid user identifier, or use the user/password authentication mechanism to request a user token and send that." }, "ER705": { "code": "ER705", "message": "User identifier is not linked to a user.", "solution": "Provide a valid user identifier, link this user identifier to a user account, or use the user/password authentication mechanism." }, "ER706": { "code": "ER706", "message": "User identifier is invalid.", "solution": "Provide a valid user identifier, a unique identifier string for the user account that is not already in use." }, "ER707": { "code": "ER707", "message": "User identifier is invalid.", "solution": "Please provide an identifier, consisting of 36 - 255 characters, numeric or alphanumeric only." }, "ER708": { "code": "ER708", "message": "There is a pending document for this side.", "solution": "Wait for the pending document to be reviewed." }, "ER709": { "code": "ER709", "message": "User not found, or user has been deleted.", "solution": "Provide a valid user identifier." }, "ER800": { "code": "ER800", "message": "Authorization token is invalid.", "solution": "Provide a valid authorization token." }, "ER801": { "code": "ER801", "message": "Authorization token has expired.", "solution": "Request a new authorization token." }, "ER802": { "code": "ER802", "message": "Authorization token not found.", "solution": "Provide an authorization token." }, "ER803": { "code": "ER803", "message": "Multiple authorization methods used.", "solution": "Use exactly one authorization method." }, "ER805": { "code": "ER805", "message": "API key is invalid.", "solution": "Provide a valid API key." }, "ER806": { "code": "ER806", "message": "API key not found.", "solution": "Provide an API key." }, "ER999": { "code": "ER999", "message": "A general error has occurred. Please contact our support team.", "solution": "Contact our support team." } }}